Page MenuHomePhabricator

Aggregate multiple Projects in Maniphest reports
Closed, WontfixPublic

Description

I'm learning to love Maniphest reports. Thank you for working quite silently on this.

Have you considered the possibility to add more than one project in the Project field? Due to the flat project structure of Phabricator, it happens frequently that a team is working simultaneously in more than one Maniphest project. Adding the relevant projects would aggregate the related data.

Event Timeline

qgil created this task.Oct 30 2014, 8:24 PM
qgil raised the priority of this task from to Needs Triage.
qgil updated the task description. (Show Details)
qgil added a project: Maniphest.
qgil added a subscriber: qgil.
chad renamed this task from Possibility to aggregate projects in Maniphest reports to Aggregate multiple Projects in Maniphest reports.Nov 1 2014, 6:41 PM
chad triaged this task as Low priority.
chad added a project: Projects.
epriestley closed this task as Wontfix.Dec 2 2014, 12:30 AM
epriestley claimed this task.

We haven't done any work on this, and don't plan to work on reporting until T4171, which will obsolete this.

I'd accept a patch which turns "Project" into "In All Projects" and adds an "In Any Project" field (this would be consistent with project-based querying elsewhere in Maniphest, which allows you to either query for "in A and B" or "in A or B") if WMF wants to develop it. This patch is probably relatively simple to write.

Alright, understood.

I'd accept a patch ... if WMF wants to develop it. This patch is probably relatively simple to write.

As long as we suffer T6656, users can't access Reports anyway.